Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.util
Interface MultiValuedPropertyMap<T>

All Known Implementing Classes:
  SimpleMultiValuedPropertyMap

    public interface MultiValuedPropertyMap<T>

A property map with multi valued properties.

Version:
  $Revision: 630 $
Author:
  Julien Viet

Method Summary
`void` | `addValue(java.lang.String key, T value)`
`void` | `append(MultiValuedPropertyMap<T> appended)`
`void` | `clear()`
`T` | `getValue(java.lang.String key)`
`java.util.List<T>` | `getValues(java.lang.String key)`
`java.util.Set<java.lang.String>` | `keySet()`
`void` | `setValue(java.lang.String key, T value)`
`int` | `size()`

Method Detail

### getValue

    T getValue(java.lang.String key)
               throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getValues

    java.util.List<T> getValues(java.lang.String key)
                                throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### addValue

    void addValue(java.lang.String key,
                  T value)
                  throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### setValue

    void setValue(java.lang.String key,
                  T value)
                  throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### keySet

    java.util.Set<java.lang.String> keySet()

### clear

    void clear()

### size

    int size()

### append

    void append(MultiValuedPropertyMap<T> appended)
                throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.